﻿namespace U2UConsult.WinRT.MVVM.Client
{
    using System;
    using U2UConsult.WinRT.MVVM.Client.ViewModels;
    using Windows.UI.Xaml.Data;

    /// <summary>
    /// Returns a view for a given viewmodel.
    /// </summary>
    public class ViewTemplateConverter : IValueConverter
    {
        public object Convert(object value, string typeName, object parameter, string language)
        {
            if (value is SubscriberViewModel)
            {
                return new SubscriberView2 { DataContext = value };
            }

            return value;
        }

        public object ConvertBack(object value, string typeName, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
}
